Bug 171759 - CVE-2005-2970 httpd worker MPM memory consumption DoS
CVE-2005-2970 httpd worker MPM memory consumption DoS
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
http://svn.apache.org/viewcvs?rev=292...
impact=moderate,source=cve,public=200...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-25 18:04 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.0.54-10.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-03 05:41:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-10-25 18:04:41 EDT
+++ This bug was initially created as a clone of Bug #171756 +++

Memory leak in the worker MPM (worker.c) for Apache 2, in certain
circumstances, allows remote attackers to cause a denial of service
(memory consumption) via aborted connections, which prevents the
memory for the transaction pool from being reused for other
connections.
Comment 1 Josh Bressers 2005-10-25 18:06:09 EDT
This issue should also affect FC3
Comment 2 Fedora Update System 2006-01-20 11:57:26 EST
From User-Agent: XML-RPC

httpd-2.0.54-10.3 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 3 Fedora Update System 2006-01-20 18:01:15 EST
From User-Agent: XML-RPC

httpd-2.0.54-10.3 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.